""" Bunch of helpers for jobs system.
"""

from threading import Lock


class AutoIncrementCounter(object):

    """ Manage an auto incremented counter.
    """

    def __init__(self, store):
        self._store = store
        self._current = self._store.get_id_counter()
        self._lock = Lock()

    def get(self):
        """ Get a new incremented number.
        """
        with self._lock:
            self._current += 1
            self._store.store_id_counter(self._current)
            return self._current
